Page MenuHomePhabricator

Add support for multiple types of subtitle services
Closed, ResolvedPublic

Description

We already support multiple languages, but we should really make a distinction at the very least between:

FORCED (always on subtitles)
IMPAIRED (subtitles for the hearing impaired)
NORMAL

Another oft recognized type is 'commentary'


Version: master
Severity: enhancement

Details

Reference
bz41694

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:06 AM
bzimport set Reference to bz41694.
TheDJ created this task.Nov 2 2012, 2:31 PM

mdale wrote:

The html5 spec defines the following types:
http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html#attr-track-kind

subtitles Subtitles Transcription or translation of the dialogue, suitable for when the sound is available but not understood (e.g. because the user does not understand the language of the media resource's audio track). Overlaid on the video.
captions Captions Transcription or translation of the dialogue, sound effects, relevant musical cues, and other relevant audio information, suitable for when sound is unavailable or not clearly audible (e.g. because it is muted, drowned-out by ambient noise, or because the user is deaf). Overlaid on the video; labeled as appropriate for the hard-of-hearing.
descriptions Descriptions Textual descriptions of the video component of the media resource, intended for audio synthesis when the visual component is obscured, unavailable, or not usable (e.g. because the user is interacting with the application without a screen while driving, or because the user is blind). Synthesized as audio.
chapters Chapters Chapter titles, intended to be used for navigating the media resource. Displayed as an interactive (potentially nested) list in the user agent's interface.
metadata Metadata Tracks intended for use from script. Not displayed by the user agent.

We should have the "srt" postfix to map to our special "mediaWiki" subtitle format .. and all the other above listed category keys map to VTT format per the updated per page content handler code ( and have them not allow wikiText interspersed with srts )

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:40 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:40 PM
TheDJ moved this task from To sort to TimedText on the TimedMediaHandler board.Oct 21 2015, 7:36 PM
Jdforrester-WMF closed this task as Resolved.Jul 3 2019, 10:15 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

We now support VTT and SRT (ish).

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Jul 3 2019, 10:16 PM